
<div class="container">
<!-- <img src="../../../../../background.png" class="mx-auto"> -->
    <!-- Listar productos -->
<br><br><br><br>

<table class="table table-striped">
    <thead>
        <tr>
            <th>#</th>
            <th>NOMBRE</th>
            <th>INGREDIENTES</th>
            <th>INSTRUCCIONES</th>
            <th>TIEMPO_PREPARACIÓN</th>
            <th>IMAGEN</th>
            <th>Acciones</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let datos of productos; let numero = index">
            <td>{{datos.id}}</td>
            <td>{{datos.nombre}}</td>
            <td>{{datos.ingredientes}}</td>
            <td>{{datos.instrucciones}}</td>
            <td>{{datos.tiempo_prep}}</td>
            <td><img src="{{datos.imagen}}" height="50px"></td>
            <td>
              <div class="btn-group" role="group" aria-label="Botones">
                <button type="button" class="btn btn-danger" (click) = "eliminar(numero)">Eliminar</button>
                <button type="button" class="btn btn-success">Agregar</button>
              </div> 

            </td>
        </tr>
    </tbody>
</table>


    <!-- Agregar productos -->
<h3>Agregar productos </h3>
<hr>
<form>
    <div class="mb-3">
      <label for="exampleInputEmail1" class="form-label">Producto</label>
      <input [(ngModel)]="nombre" (ngModelChange) = "nombre = $event" [ngModelOptions] = "{standalone: true}" type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
      <div id="emailHelp" class="form-text">We'll never share your email with anyone else.</div>
    </div>

    <div class="mb-3">
      <label for="exampleInputPassword1" class="form-label">Cantidad</label>
      <input [(ngModel)]="cantidad" (ngModelChange) = "cantidad = $event" [ngModelOptions] = "{standalone: true}"  type="text" class="form-control" id="exampleInputPassword1">
    </div>

    <div class="mb-3">
        <label for="exampleInputPassword2" class="form-label">Categoría</label>
        <input [(ngModel)]="categoria" (ngModelChange) = "categoria = $event" [ngModelOptions] = "{standalone: true}"  type="text" class="form-control" id="exampleInputPassword2">
      </div>
    
    <div class="mb-3">
        <label for="exampleInputPassword3" class="form-label">Precio</label>
        <input [(ngModel)]="precio" (ngModelChange) = "precio = $event" [ngModelOptions] = "{standalone: true}"  type="text" class="form-control" id="exampleInputPassword3">
      </div>

    <div class="mb-3">
        <label for="exampleInputPassword4" class="form-label">Imagen</label>
        <input [(ngModel)]="imagen" (ngModelChange) = "imagen = $event" [ngModelOptions] = "{standalone: true}"  type="text" class="form-control" id="exampleInputPassword4">
      </div>
     
    <!-- <div class="mb-3 form-check">
      <input type="checkbox" class="form-check-input" id="exampleCheck1">
      <label class="form-check-label" for="exampleCheck1">Check me out</label>
    </div> -->
    <div class="row">
    <div class="col-md-6">
      <button type="submit" (click) = "guardarProducto()" class="btn btn-primary">Guardar</button>
    </div>
    <div class="col-md-6">
      <button class="btn btn-danger" type="reset">Borrar</button>
    </div>
    </div>
  </form>

  </div>